Index: trunk/test/testcompile.sh
===================================================================
--- trunk/test/testcompile.sh	(revision 562)
+++ trunk/test/testcompile.sh	(revision 576)
@@ -26,5 +26,9 @@
 {
     uname -a | grep -i openbsd >/dev/null
-
+    if test x$? = x0; then
+	log_skip $num ${MAXTEST} 'test dnmalloc'
+	return 0
+    fi
+    uname -a | grep -i darwin >/dev/null
     if test x$? = x0; then
 	log_skip $num ${MAXTEST} 'test dnmalloc'
